MTT(1)

NAME
mtt - Model Transformation Tools

SYNOPSIS
mtt [options] system representation language
xmtt [--update]

DESCRIPTION
This manual page documents briefly the mtt and xmtt commands. Detailed documentation is available in info or html format by issuing the command mtt info for info format or mtt hinfo for html.

mtt is a set of tools for modelling dynamic physical systems using the bond-graph methodology and transforming these models into representations suitable for analysis, control and simulation. These tools use, and generate m files for, GNU Octave.

OPTIONS
A summary of options is included below. For a complete description, see the Info files.

-q  quiet mode -- suppress MTT banner

-A  solve algebraic equations symbolically

-D  debug -- leave log files etc

-I  prints more information

-abg
    start at abg.m representation

-c  c-code generation

-cc C++ code generation

-cr Use cr before resolving equations

-d <dir>
    use directory <dir>

-dc Maximise derivative (not integral) causality

-dc Maximise derivative (not integral) causality

-i <implicit|euler|rk4|dassl>
    Use implicit, euler, rk4 or dassl integration

-ae <reduce|hybrd|dassl|hooke>
    Solve algebraic equations with specified solver

-o  ode is same as dae

-oct
    use oct files in place of m files where appropriate

-opt
    optimise code generation

-p  print environment variables

-partition
     partition hierachical system

-pdf
    generate pdf in place of ps

-r  reset time stamp on representation

-s  generate sensitivity BG (use mtt -s sSys rep lang)

-ss use steady-state info to initialise simulations

-stdin
    read input data from standard input for simulations

-sub <subsystem>
    operate on this subsystem

-t  tidy mode (default)

-trace
    Just indicate what mtt will do - but do not do it

-u  untidy mode (leaves files in current dir)

-v  verbose mode (multiple uses of -v increase the verbosity level)

-viewlevel <N>
    View N levels of hierachy

--version
    print version and exit

--versions
    print version of mtt and components and exit The programs are documented fully by mtt: Model Transformation Tools, available via the Info system.

FILES
/etc/mtt.conf

AUTHOR
This manual page was written by Geraint <geraint@users.sf.net>, for the Debian GNU/Linux system (but may be used by others).